edu.northwestern.at.morphadorner

## Enum MorphAdornerSettings.XMLIDType

- java.lang.Object
- - java.lang.Enum<MorphAdornerSettings.XMLIDType>
  - - edu.northwestern.at.morphadorner.MorphAdornerSettings.XMLIDType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MorphAdornerSettings.XMLIDType>
  Enclosing class:
    MorphAdornerSettings

      public static enum MorphAdornerSettings.XMLIDType
      extends java.lang.Enum<MorphAdornerSettings.XMLIDType>

  XML ID types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `READING_CONTEXT_ORDER`
    `USE_PAGE_BLOCK_ATTRIBUTES`
    `WORD_WITHIN_PAGE_BLOCK`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MorphAdornerSettings.XMLIDType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MorphAdornerSettings.XMLIDType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READING_CONTEXT_ORDER

          public static final MorphAdornerSettings.XMLIDType READING_CONTEXT_ORDER

    - #### WORD_WITHIN_PAGE_BLOCK

          public static final MorphAdornerSettings.XMLIDType WORD_WITHIN_PAGE_BLOCK

    - #### USE_PAGE_BLOCK_ATTRIBUTES

          public static final MorphAdornerSettings.XMLIDType USE_PAGE_BLOCK_ATTRIBUTES

  - ### Method Detail

    - #### values

          public static MorphAdornerSettings.XMLIDType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MorphAdornerSettings.XMLIDType c : MorphAdornerSettings.XMLIDType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MorphAdornerSettings.XMLIDType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null